
// Fonts.com tracking code, mandated by the license
//@import url("http://fast.fonts.com/t/1.css?apiType=css&projectid=e52198f4-e2bf-4f47-913d-d6a2747493f7");


@import "../base/styles.scss";
@import "../valo/styles.scss";

@import "mixins";
@import "variables";

@import "display";
@import "browser";
@import "navigator";
@import "sidebar";
@import "menu";
@import "listing";
@import "searchresults";
@import "sidebarbuttons";
@import "breadcrumbs";
@import "tabpanel";
@import "description";
@import "source";
@import "info";
@import "editors";

@import "loading-indicator";


@font-face{
  font-family:"Helvetica W01 Light";
  src:url("../community/fonts/717f8140-20c9-4892-9815-38b48f14ce2b.eot?#iefix");
  src:url("../community/fonts/717f8140-20c9-4892-9815-38b48f14ce2b.eot?#iefix") format("eot"),url("../community/fonts/03805817-4611-4dbc-8c65-0f73031c3973.woff") format("woff"),url("../community/fonts/d5f9f72d-afb7-4c57-8348-b4bdac42edbb.ttf") format("truetype"),url("../community/fonts/05ad458f-263b-413f-b054-6001a987ff3e.svg#05ad458f-263b-413f-b054-6001a987ff3e") format("svg");
  font-weight: 300;
  font-style: normal;
}
@font-face{
  font-family:"HelveticaW01-RoundedBd";
  src:url("../community/fonts/79e78e0d-1e3d-4298-8913-6f12cf008e7d.eot?#iefix");
  src:url("../community/fonts/79e78e0d-1e3d-4298-8913-6f12cf008e7d.eot?#iefix") format("eot"),url("../community/fonts/c280ced9-704c-46b2-a66a-aff7ee1627bf.woff") format("woff"),url("../community/fonts/548e8c1d-b37a-43af-b197-a35e2f0c3d2f.ttf") format("truetype"),url("../community/fonts/5e9b82e3-aa53-4064-b984-f49aa751081d.svg#5e9b82e3-aa53-4064-b984-f49aa751081d") format("svg");
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family:"community";
  src:url("../community/fonts/community.eot?#iefix");
  src:url("../community/fonts/community.eot?#iefix") format("embedded-opentype"),
    url("../community/fonts/community.svg#community") format("svg"),
    url("../community/fonts/community.woff") format("woff"),
    url("../community/fonts/community.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@media all and (device-width: 768px) and (device-height: 1024px) and (orientation:landscape) {
  .v-ios7.v-sa {
    position:fixed;
    bottom:0;
    width:100%;
      height: 672px !important;
  }
}

/* Need to add .v-widget styles to ui in order to avoid flickering */
.v-ui {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  display: inline-block;
  vertical-align: top;
  text-align: left;
  white-space: normal;
}

/* Vaadin components that should not be affected by theme change */
#edit .tabpanel-content {
  @include base;
}

.v-app {
  height: 100%;
}

.v-ui.transitioned {

  color: #fff;
  font-family: Helvetica, Arial, Sans-Serif;
  -webkit-font-smoothing: antialiased;
  overflow: hidden;

  transition-property: background-color;
  -webkit-transition-property: background-color;
  -moz-transition-property: background-color;
  -o-transition-property: background-color;

  @include transform(translate3d(0,0,0));
}

.transitioned {
  transition-property: none;
  -webkit-transition-property: none;
  -moz-transition-property: none;
  -o-transition-property: none;

  @include community-transition-duration;
}

.non-selectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.resizing .transitioned {
  @include community-transition-duration(false, 0.0s);
}

#browser#browser.initializing * {
  @include community-transition-duration(true, 0.0s);
}

#communitymainlayout {
  position: fixed !important;
}


/* Color themes */

.v-ui {
  background-color: $vaadin-blue;
}

.sampleselected .v-ui {
  background-color: #f3f3f3;
}

.orange .v-ui {
  background-color: $vaadin-orange;
}

.green .v-ui {
  background-color: $vaadin-green;
}

.pink .v-ui {
  background-color: $vaadin-pink;
}


// Needed for GridStockSample
.grid-stock .v-grid .v-widget {
	vertical-align: baseline;
	pointer-events: none;
}
.grid-stock .v-sparkline {
	line-height: 1;
}
.sparkline .going-up {
  color: #24c615;
  display: inline-block;
}
.sparkline .going-down {
  color: #ff6666;
  display: inline-block;
}
.grid-stock .v-grid-row-selected .going-down,
.grid-stock .v-grid-row-selected .going-up {
	color: inherit;
}


#browsercontent #display .samplepanel .v-grid .align-right {
  text-align: right;
  text-overflow: inherit;
}

// Needed by DeclarativeSample
.v-splitpanel-second-container-declarative-sample,
.v-splitpanel-first-container-declarative-sample {
  @include box-sizing(border-box);
  padding: 10px;
}




//
// Shame
//
// Fixes/workarounds that are not-so-pretty, and should be fixed in the core

// Needed to align/size Grid header filter TextFields nicely
#browsercontent #display .samplepanel .grid-basics .v-grid-header .filter-header {
  padding: 0 4px;

  .v-widget {
    vertical-align: middle;
  }
}

// Grid focused outline blocks mouse events, to widgets, need to raise them above
.v-grid-cell-focused > * {
  position: relative;
}

// Client-side VSlider places the feedback popup directly inside the body
// element, and doens't get the proper styles then
// Needed by GridLargeDatasetSample
body > .v-slider-feedback {
  font-family: $v-font-family;
  @include valo-tooltip-style;
}

.AceEditorWidget.AceEditorWidget-error {
	border: 1px solid red;
}
